From 6839c15a7b1d067a2b76d613941029a62ce73321 Mon Sep 17 00:00:00 2001
From: Equim <sayaka@ekyu.moe>
Date: Mon, 22 Jan 2018 16:35:39 +0800
Subject: [PATCH] fix: recaptcha fixes, auth fixes and line endings

* http: auth: remove unnecessary fields in recaptcha validation

* http: render: never expose ReCaptchaSecret to public

* build: dos2unix build.sh


Former-commit-id: 21908028289e4a5d30b5a2c1961abf163b1a93b6 [formerly b634e3e4da4a616119f6bc15ae92f15073f019fa] [formerly 55efca9d070539f346215090517abde1ec788be4 [formerly 9b8c2862e2739d36aa6088d27af0d1864ce852ff]]
Former-commit-id: 70df1f0443977f6f2b101b946698dc3466aa6db9 [formerly 15195d4c28060aa1eca8f03ad0b77576ac8d9181]
Former-commit-id: e22d026e74a0cc800ad7281c35e4157037849e37
---
 build.sh     | 28 ++++++++++++++--------------
 http/auth.go |  5 +----
 http/http.go | 13 ++++++-------
 3 files changed, 21 insertions(+), 25 deletions(-)

diff --git a/build.sh b/build.sh
index 93c24656..6fe68188 100644
--- a/build.sh
+++ b/build.sh
@@ -1,14 +1,14 @@
-#!/bin/bash
-set -e
-
-# Install rice tool if not present
-if ! [ -x "$(command -v rice)" ]; then
-  go get github.com/GeertJohan/go.rice/rice
-fi
-
-# Clean the dist folder and build the assets
-rm -rf assets/dist
-npm run build
-
-# Embed the assets using rice
-rice embed-go
+#!/bin/bash
+set -e
+
+# Install rice tool if not present
+if ! [ -x "$(command -v rice)" ]; then
+  go get github.com/GeertJohan/go.rice/rice
+fi
+
+# Clean the dist folder and build the assets
+rm -rf assets/dist
+npm run build
+
+# Embed the assets using rice
+rice embed-go
diff --git a/http/auth.go b/http/auth.go
index cc6f9977..fbe8f3f8 100644
--- a/http/auth.go
+++ b/http/auth.go
@@ -38,10 +38,7 @@ func reCaptcha(secret string, response string) (bool, error) {
 	}
 
 	var data struct {
-		Success     bool        `json:"success"`
-		ChallengeTS time.Time   `json:"challenge_ts"`
-		Hostname    string      `json:"hostname"`
-		ErrorCodes  interface{} `json:"error-codes"`
+		Success bool `json:"success"`
 	}
 
 	err = json.NewDecoder(resp.Body).Decode(&data)
diff --git a/http/http.go b/http/http.go
index f674b312..c40435c5 100644
--- a/http/http.go
+++ b/http/http.go
@@ -223,13 +223,12 @@ func renderFile(c *fm.Context, w http.ResponseWriter, file string) (int, error)
 	w.Header().Set("Content-Type", contentType+"; charset=utf-8")
 
 	data := map[string]interface{}{
-		"BaseURL":         c.RootURL(),
-		"NoAuth":          c.NoAuth,
-		"Version":         fm.Version,
-		"CSS":             template.CSS(c.CSS),
-		"ReCaptcha":       c.ReCaptchaKey != "" && c.ReCaptchaSecret != "",
-		"ReCaptchaKey":    c.ReCaptchaKey,
-		"ReCaptchaSecret": c.ReCaptchaSecret,
+		"BaseURL":      c.RootURL(),
+		"NoAuth":       c.NoAuth,
+		"Version":      fm.Version,
+		"CSS":          template.CSS(c.CSS),
+		"ReCaptcha":    c.ReCaptchaKey != "" && c.ReCaptchaSecret != "",
+		"ReCaptchaKey": c.ReCaptchaKey,
 	}
 
 	if c.StaticGen != nil {